---
- name: 1. helmchart install (imxc-ui-jspd)
  kubernetes.core.helm:
    name: "{{item}}"
    release_name: "{{item}}"
    release_namespace: "{{ cmoa_namespace }}"
    chart_ref: "{{ role_path }}/files/06-imxc-ui/{{ item }}"
    create_namespace: yes
    release_state: present
    values_files:
    - "{{ role_path }}/files/06-imxc-ui/{{ item }}/values.yaml"
    values:
      image:
        repository: "{{ REGISTRY }}/cmoa3/nginx"
      global:
        IMXC_IN_REGISTRY: "{{ REGISTRY }}/cmoa3"
  with_items:
    - imxc-ui
  ignore_errors: true

- name: 2. Check Kubernetes Pods (imxc ui)
  command: "{{ role_path }}/files/k8s_status {{ cmoa_namespace }}"
